=begin
= test for WebUnit
  Copyright(C) 2001 yuichi TAKAHASHI
  $Id: test_webunit.rb,v 1.2 2004/02/11 04:26:40 yuichi Exp $
=end

require 'webunit/webunit'
require 'runit/cui/testrunner'

if $0 == __FILE__
  
  module WebUnit
  
    class TestWebUnit < WebUnit::TestCase
    end
  
  end

  if ARGV.size == 0
    suite = WebUnit::TestWebUnit::suite
  else
    suite = RUNIT::TestSuite.new
    ARGV.each do |testmethod|
      suite.add_test( WebUnit::TestWebUnit::new( testmethod ) )
    end
  end
  RUNIT::CUI::TestRunner.run( suite )
end
